number.float.length.error={0} 长度不合法，总长度不超过{1}位，小数点后不超过{2}位
number.greaterThanZero={0} 必须大于0
page.pageNo.min=页码最小值为 1
page.pageNo.notNull=页码不能为空
page.pageSize.max=每页条数最大值为 100
page.pageSize.min=每页条数最小值为 -1
page.pageSize.notNull=每页条数不能为空

report.template.save.name.notBlank=模板名称不能为空
report.template.save.name.length=模板名称长度不能超过30个字符
report.template.save.remark.size=备注长度不能超过64个字符
report.template.save.datasourceIds.size=数据源数量不能超过30个
report.template.save.datasetIds.size=数据集数量不能超过30个
report.template.page.name.size=模板名称长度不能超过64个字符
report.template.preview.content.notNull=预览报表内容不能为空
report.template.preview.query.size=表单参数数量不能超过30个
report.template.preview.component.size=表单对应组件唯一标识数量不能超过30个
report.template.preview.chartImages.size=图表图片数量不能超过30个
report.template.preview.templateId.notNull=报表模板编号不能为空
report.template.preview.download.type.notBlank=模板下载类型不能为空
report.template.script.validate.content.notEmpty=表达式不能为空
report.template.import.name.notEmpty=模版名称不能为空

report.datasource.save.name.notBlank=数据源名称不能为空
report.datasource.save.name.length=数据源名称长度不能超过64个字符
report.datasource.save.beanId.length=spring型数据源id长度不能超过64个字符
report.datasource.save.driver.length=数据源驱动类长度不能超过64个字符
report.datasource.save.url.length=数据源地址长度不能超过255个字符
report.datasource.save.username.length=数据源用户名长度不能超过64个字符
report.datasource.save.password.length=数据源密码长度不能超过64个字符
report.datasource.save.remark.size=备注长度不能超过64个字符
report.datasource.save.headers.size=请求头参数数量不能超过30个
report.datasource.spring.bean.field.clazz.notEmpty=类路径全名不能为空
report.datasource.spring.bean.field.clazz.size=类路径全名不能超过100个字符
report.datasource.bean.methods.query.beanId.notEmpty=beanId不能为空
report.datasource.bean.methods.query.beanId.size=beanId不能超过100个字符
report.datasource.conn.test.driverClassName.notBlank=数据源驱动类不能为空
report.datasource.conn.test.url.notBlank=数据源地址不能为空
report.datasource.conn.test.username.notBlank=数据源用户名不能为空
report.datasource.conn.test.password.notBlank=数据源密码不能为空
report.datasource.preview.conn.test.info.notNull=数据源连接信息不能为空
report.datasource.preview.sql.notBlank=查询语句不能为空
report.datasource.preview.parameters.size=查询参数列表数量不能超过30个
report.datasource.preview.datasourceId.notNull=数据源编号不能为空
report.datasource.query.param.name.notBlank=参数名称不能为空
report.datasource.query.param.type.notBlank=参数类型不能为空

report.dataset.save.name.notBlank=数据集名称不能为空
report.dataset.save.name.length=数据集名称长度不能超过64个字符
report.dataset.save.datasourceId.notNull=数据源id不能为空
report.dataset.save.method.length=bean数据源方法名长度不能超过64个字符
report.dataset.save.parameters.size=参数列表数量不能超过30个
report.dataset.save.fields.size=字段列表数量不能超过100个
report.dataset.save.fields.name.notBlank=字段名称不能为空
report.dataset.save.param.name.notBlank=参数名称不能为空
report.dataset.save.param.type.notBlank=参数类型不能为空